import 'dart:async';
import 'dart:convert';
import 'dart:io';

import 'package:http/http.dart' as http;
import 'package:apimodule/api/config/endpoint.dart';
import 'package:apimodule/api/config/apisettings.dart';
import 'package:apimodule/model/request/global_request.dart';
import 'package:apimodule/model/response/diklat_response.dart';
import 'package:apimodule/model/response/global_response.dart';

class DiklatService {
  static Future<dynamic> fetchAllDiklat(GlobalRequest request) async {
    var globalRequest = new Map<String, dynamic>();
    globalRequest['nip_nik'] = request.nipNik;

    try {
      final response = await http.post(
        EndpointSimpersaa.diklat,
        headers: null,
        body: globalRequest,
      );
      if (response.statusCode == 200) {
        final body = jsonDecode(response.body);
        return DiklatResponse.fromJson(body);
      } else {
        return GlobalResponse(msg: APiSettings.errorMsg);
      }
    } on TimeoutException catch (_) {
      return GlobalResponse(msg: APiSettings.errorNetwork);
    } on SocketException catch (_) {
      return GlobalResponse(msg: APiSettings.errorNetwork);
    }
  }
}
