import 'dart:async';
import 'dart:convert';
import 'dart:io';

import 'package:http/http.dart' as http;
import 'package:apimodule/api/config/endpoint.dart';
import 'package:apimodule/api/config/apisettings.dart';
import 'package:apimodule/model/request/global_request.dart';
import 'package:apimodule/model/response/global_response.dart';
import 'package:apimodule/model/response/pegawai_response.dart';

class PegawaiService {
  static Future<dynamic> fetchAllPegawai(GlobalRequest request) async {
    var peagwaiRequest = new Map<String, dynamic>();
    peagwaiRequest['nipnik'] = request.nipNik;

    try {
      final response = await http.post(
        EndpointSimpersaa.pegawai,
        headers: null,
        body: peagwaiRequest,
      );
      if (response.statusCode == 200) {
        final body = jsonDecode(response.body);
        return PegawaiResponse.fromJson(body);
      } else {
        return GlobalResponse(msg: APiSettings.errorMsg);
      }
    } on TimeoutException catch (_) {
      return GlobalResponse(msg: APiSettings.errorNetwork);
    } on SocketException catch (_) {
      return GlobalResponse(msg: APiSettings.errorNetwork);
    }
  }
}
