class AbsentResponse {
  bool con;
  String msg;
  List<AbsentResults> results;

  AbsentResponse({this.con, this.msg, this.results});

  AbsentResponse.fromJson(Map<String, dynamic> json) {
    con = json['con'];
    msg = json['msg'];
    if (json['results'] != null) {
      results = <AbsentResults>[];
      json['results'].forEach((v) {
        results.add(AbsentResults.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['con'] = this.con;
    data['msg'] = this.msg;
    if (this.results != null) {
      data['results'] = this.results.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class AbsentResults {
  String idPegawai;
  String nipNik;
  String jamMasuk;
  String jamKeluar;
  String tanggalMasuk;
  String lat;
  String long;
  String status;
  int idTbAbsensi;
  String how;

  AbsentResults(
      {this.idPegawai,
      this.nipNik,
      this.jamMasuk,
      this.jamKeluar,
      this.tanggalMasuk,
      this.lat,
      this.long,
      this.status,
      this.idTbAbsensi,
      this.how});

  AbsentResults.fromJson(Map<String, dynamic> json) {
    idPegawai = json['id_pegawai'];
    nipNik = json['nip_nik'];
    jamMasuk = json['jam_masuk'];
    jamKeluar = json['jam_keluar'];
    tanggalMasuk = json['tanggal_masuk'];
    lat = json['lat'];
    long = json['long'];
    status = json['status'];
    idTbAbsensi = json['id_tb_absensi'];
    how = json['how'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['id_pegawai'] = this.idPegawai;
    data['nip_nik'] = this.nipNik;
    data['jam_masuk'] = this.jamMasuk;
    data['jam_keluar'] = this.jamKeluar;
    data['tanggal_masuk'] = this.tanggalMasuk;
    data['lat'] = this.lat;
    data['long'] = this.long;
    data['status'] = this.status;
    data['id_tb_absensi'] = this.idTbAbsensi;
    data['how'] = this.how;
    return data;
  }
}
