class InitialCutiResponse {
  bool con;
  String msg;
  InitialCutiResults results;

  InitialCutiResponse({this.con, this.msg, this.results});

  InitialCutiResponse.fromJson(Map<String, dynamic> json) {
    this.con = json["con"];
    this.msg = json["msg"];
    this.results = json["results"] == null
        ? null
        : InitialCutiResults.fromJson(json["results"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["con"] = this.con;
    data["msg"] = this.msg;
    if (this.results != null) data["results"] = this.results.toJson();
    return data;
  }
}

class InitialCutiResults {
  int penempatan;
  String masaKerja;
  ApprovalBy approvalBy;
  bool isABoss;
  List<JenisCuti> jenisCuti;
  List<SisaCuti> sisaCuti;

  InitialCutiResults(
      {this.penempatan,
      this.masaKerja,
      this.approvalBy,
      this.isABoss,
      this.jenisCuti,
      this.sisaCuti});

  InitialCutiResults.fromJson(Map<String, dynamic> json) {
    this.penempatan = json["penempatan"];
    this.masaKerja = json["masa_kerja"];
    this.approvalBy = json["approval_by"] == null
        ? null
        : ApprovalBy.fromJson(json["approval_by"]);
    this.isABoss = json["is_a_boss"];
    this.jenisCuti = json["jenis_cuti"] == null
        ? []
        : (json["jenis_cuti"] as List)
            .map((e) => JenisCuti.fromJson(e))
            .toList();
    this.sisaCuti = json["sisa_cuti"] == null
        ? []
        : (json["sisa_cuti"] as List).map((e) => SisaCuti.fromJson(e)).toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["penempatan"] = this.penempatan;
    data["masa_kerja"] = this.masaKerja;
    if (this.approvalBy != null) data["approval_by"] = this.approvalBy.toJson();
    data["is_a_boss"] = this.isABoss;
    if (this.jenisCuti != null)
      data["jenis_cuti"] = this.jenisCuti.map((e) => e.toJson()).toList();
    if (this.sisaCuti != null)
      data["sisa_cuti"] = this.sisaCuti.map((e) => e.toJson()).toList();
    return data;
  }
}

class SisaCuti {
  int id;
  int tahun;
  int sisaCutiTahunan;

  SisaCuti({this.id, this.tahun, this.sisaCutiTahunan});

  SisaCuti.fromJson(Map<String, dynamic> json) {
    this.id = json["id"];
    this.tahun = json["tahun"];
    this.sisaCutiTahunan = json["sisa_cuti_tahunan"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["id"] = this.id;
    data["tahun"] = this.tahun;
    data["sisa_cuti_tahunan"] = this.sisaCutiTahunan;
    return data;
  }
}

class JenisCuti {
  int id;
  String jenisCuti;
  String aktif;

  JenisCuti({this.id, this.jenisCuti, this.aktif});

  JenisCuti.fromJson(Map<String, dynamic> json) {
    this.id = json["id"];
    this.jenisCuti = json["jenis_cuti"];
    this.aktif = json["aktif"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["id"] = this.id;
    data["jenis_cuti"] = this.jenisCuti;
    data["aktif"] = this.aktif;
    return data;
  }
}

class ApprovalBy {
  Pejabat atasan;
  int atasanLangsung;
  Pejabat pejabat;
  int pejabatPemberiCuti;

  ApprovalBy(
      {this.atasan,
      this.atasanLangsung,
      this.pejabat,
      this.pejabatPemberiCuti});

  ApprovalBy.fromJson(Map<String, dynamic> json) {
    this.atasan =
        json["atasan"] == null ? null : Pejabat.fromJson(json["atasan"]);
    this.atasanLangsung = json["atasan_langsung"];
    this.pejabat =
        json["pejabat"] == null ? null : Pejabat.fromJson(json["pejabat"]);
    this.pejabatPemberiCuti = json["pejabat_pemberi_cuti"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    if (this.atasan != null) data["atasan"] = this.atasan.toJson();
    data["atasan_langsung"] = this.atasanLangsung;
    if (this.pejabat != null) data["pejabat"] = this.pejabat.toJson();
    data["pejabat_pemberi_cuti"] = this.pejabatPemberiCuti;
    return data;
  }
}

class Pejabat {
  String idNipNrp;
  String gelarSarjanaDepan;
  String namaLengkap;
  String gelarSarjanaBelakang;

  Pejabat(
      {this.idNipNrp,
      this.gelarSarjanaDepan,
      this.namaLengkap,
      this.gelarSarjanaBelakang});

  Pejabat.fromJson(Map<String, dynamic> json) {
    this.idNipNrp = json["id_nip_nrp"];
    this.gelarSarjanaDepan = json["gelar_sarjana_depan"];
    this.namaLengkap = json["nama_lengkap"];
    this.gelarSarjanaBelakang = json["gelar_sarjana_belakang"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["id_nip_nrp"] = this.idNipNrp;
    data["gelar_sarjana_depan"] = this.gelarSarjanaDepan;
    data["nama_lengkap"] = this.namaLengkap;
    data["gelar_sarjana_belakang"] = this.gelarSarjanaBelakang;
    return data;
  }
}

class Atasan {
  String idNipNrp;
  String gelarSarjanaDepan;
  String namaLengkap;
  String gelarSarjanaBelakang;

  Atasan(
      {this.idNipNrp,
      this.gelarSarjanaDepan,
      this.namaLengkap,
      this.gelarSarjanaBelakang});

  Atasan.fromJson(Map<String, dynamic> json) {
    this.idNipNrp = json["id_nip_nrp"];
    this.gelarSarjanaDepan = json["gelar_sarjana_depan"];
    this.namaLengkap = json["nama_lengkap"];
    this.gelarSarjanaBelakang = json["gelar_sarjana_belakang"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["id_nip_nrp"] = this.idNipNrp;
    data["gelar_sarjana_depan"] = this.gelarSarjanaDepan;
    data["nama_lengkap"] = this.namaLengkap;
    data["gelar_sarjana_belakang"] = this.gelarSarjanaBelakang;
    return data;
  }
}
