class KeluargaResponse {
  bool con;
  String msg;
  KeluargaResults results;

  KeluargaResponse({this.con, this.msg, this.results});

  KeluargaResponse.fromJson(Map<String, dynamic> json) {
    con = json['con'];
    msg = json['msg'];
    results = json['results'] != null
        ? new KeluargaResults.fromJson(json['results'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['con'] = this.con;
    data['msg'] = this.msg;
    if (this.results != null) {
      data['results'] = this.results.toJson();
    }
    return data;
  }
}

class KeluargaResults {
  List<Saudara> saudara;
  List<Anak> anak;

  KeluargaResults({this.saudara, this.anak});

  KeluargaResults.fromJson(Map<String, dynamic> json) {
    if (json['saudara'] != null) {
      saudara = <Saudara>[];
      json['saudara'].forEach((v) {
        saudara.add(new Saudara.fromJson(v));
      });
    }
    if (json['anak'] != null) {
      anak = <Anak>[];
      json['anak'].forEach((v) {
        anak.add(new Anak.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.saudara != null) {
      data['saudara'] = this.saudara.map((v) => v.toJson()).toList();
    }
    if (this.anak != null) {
      data['anak'] = this.anak.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Saudara {
  int id;
  String namaSaudara;
  String tempatLahir;
  String tanggalLahir;
  String jenisKelamin;
  String pendidikan;
  String pekerjaan;
  String keterangan;
  String statusSaudara;

  Saudara(
      {this.id,
      this.namaSaudara,
      this.tempatLahir,
      this.tanggalLahir,
      this.jenisKelamin,
      this.pendidikan,
      this.pekerjaan,
      this.keterangan,
      this.statusSaudara});

  Saudara.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    namaSaudara = json['nama_saudara'];
    tempatLahir = json['tempat_lahir'];
    tanggalLahir = json['tanggal_lahir'];
    jenisKelamin = json['jenis_kelamin'];
    pendidikan = json['pendidikan'];
    pekerjaan = json['pekerjaan'];
    keterangan = json['keterangan'];
    statusSaudara = json['status_saudara'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['nama_saudara'] = this.namaSaudara;
    data['tempat_lahir'] = this.tempatLahir;
    data['tanggal_lahir'] = this.tanggalLahir;
    data['jenis_kelamin'] = this.jenisKelamin;
    data['pendidikan'] = this.pendidikan;
    data['pekerjaan'] = this.pekerjaan;
    data['keterangan'] = this.keterangan;
    data['status_saudara'] = this.statusSaudara;
    return data;
  }
}

class Anak {
  int id;
  String namaAnak;
  String tempatLahir;
  String tanggalLahir;
  String jenisKelamin;
  String statusKeluarga;
  String statusTunjangan;
  String pendidikan;
  String pekerjaan;

  Anak(
      {this.id,
      this.namaAnak,
      this.tempatLahir,
      this.tanggalLahir,
      this.jenisKelamin,
      this.statusKeluarga,
      this.statusTunjangan,
      this.pendidikan,
      this.pekerjaan});

  Anak.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    namaAnak = json['nama_anak'];
    tempatLahir = json['tempat_lahir'];
    tanggalLahir = json['tanggal_lahir'];
    jenisKelamin = json['jenis_kelamin'];
    statusKeluarga = json['status_keluarga'];
    statusTunjangan = json['status_tunjangan'];
    pendidikan = json['pendidikan'];
    pekerjaan = json['pekerjaan'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['nama_anak'] = this.namaAnak;
    data['tempat_lahir'] = this.tempatLahir;
    data['tanggal_lahir'] = this.tanggalLahir;
    data['jenis_kelamin'] = this.jenisKelamin;
    data['status_keluarga'] = this.statusKeluarga;
    data['status_tunjangan'] = this.statusTunjangan;
    data['pendidikan'] = this.pendidikan;
    data['pekerjaan'] = this.pekerjaan;
    return data;
  }
}
