class LoginResponse {
  bool con;
  String msg;
  LoginResults results;

  LoginResponse({this.con, this.msg, this.results});

  LoginResponse.fromJson(Map<String, dynamic> json) {
    con = json['con'];
    msg = json['msg'];
    results =
        json['results'] != null ? LoginResults.fromJson(json['results']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['con'] = this.con;
    data['msg'] = this.msg;
    data['results'] = this.results;
    if (this.results != null) {
      data['results'] = this.results.toJson();
    }
    return data;
  }
}

class LoginResults {
  int userid;
  int idPegawai;
  String username;
  String password;
  String nama;
  String tanggalPendaftaran;
  String role;
  String tokenAktivasi;
  int status;
  int tipeUser;

  LoginResults(
      {this.userid,
      this.idPegawai,
      this.username,
      this.password,
      this.nama,
      this.tanggalPendaftaran,
      this.role,
      this.tokenAktivasi,
      this.status,
      this.tipeUser});

  LoginResults.fromJson(Map<String, dynamic> json) {
    userid = json['userid'];
    idPegawai = json['id_pegawai'];
    username = json['username'];
    password = json['password'];
    nama = json['nama'];
    tanggalPendaftaran = json['tanggal_pendaftaran'];
    role = json['role'];
    tokenAktivasi = json['token_aktivasi'];
    status = json['status'];
    tipeUser = json['tipe_user'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['userid'] = this.userid;
    data['id_pegawai'] = this.idPegawai;
    data['username'] = this.username;
    data['password'] = this.password;
    data['nama'] = this.nama;
    data['tanggal_pendaftaran'] = this.tanggalPendaftaran;
    data['role'] = this.role;
    data['token_aktivasi'] = this.tokenAktivasi;
    data['status'] = this.status;
    data['tipe_user'] = this.tipeUser;
    return data;
  }
}
