import 'package:apimodule/model/response/riwayat_cuti_response.dart';

class NeedApprovalResponse {
  bool con;
  String msg;
  NeedApprovalResults results;

  NeedApprovalResponse({this.con, this.msg, this.results});

  NeedApprovalResponse.fromJson(Map<String, dynamic> json) {
    this.con = json["con"];
    this.msg = json["msg"];
    this.results = json["results"] == null
        ? null
        : NeedApprovalResults.fromJson(json["results"]);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["con"] = this.con;
    data["msg"] = this.msg;
    if (this.results != null) data["results"] = this.results.toJson();
    return data;
  }
}

class NeedApprovalResults {
  int penempatan;
  List<RiwayatCutiResults> needApproval;

  NeedApprovalResults({this.penempatan, this.needApproval});

  NeedApprovalResults.fromJson(Map<String, dynamic> json) {
    this.penempatan = json["penempatan"];
    this.needApproval = json["need_approval"] == null
        ? []
        : (json["need_approval"] as List)
            .map((e) => RiwayatCutiResults.fromJson(e))
            .toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["penempatan"] = this.penempatan;
    if (this.needApproval != null)
      data["need_approval"] = this.needApproval.map((e) => e.toJson()).toList();
    return data;
  }
}
