class OrganisasiResponse {
  bool con;
  String msg;
  List<OrganisasiResults> results;

  OrganisasiResponse({this.con, this.msg, this.results});

  OrganisasiResponse.fromJson(Map<String, dynamic> json) {
    con = json['con'];
    msg = json['msg'];
    if (json['results'] != null) {
      results = <OrganisasiResults>[];
      json['results'].forEach((v) {
        results.add(OrganisasiResults.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['con'] = this.con;
    data['msg'] = this.msg;
    if (this.results != null) {
      data['results'] = this.results.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class OrganisasiResults {
  int id;
  String nip;
  String jenisOrganisasi;
  String namaOrganisasi;
  String jabatanOrganisasi;
  String tglMulai;
  String tglSelesai;
  String namaPimpinan;
  String tempat;
  String jenisKeanggotaan;

  OrganisasiResults(
      {this.id,
      this.nip,
      this.jenisOrganisasi,
      this.namaOrganisasi,
      this.jabatanOrganisasi,
      this.tglMulai,
      this.tglSelesai,
      this.namaPimpinan,
      this.tempat,
      this.jenisKeanggotaan});

  OrganisasiResults.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    nip = json['nip'];
    jenisOrganisasi = json['jenis_organisasi'];
    namaOrganisasi = json['nama_organisasi'];
    jabatanOrganisasi = json['jabatan_organisasi'];
    tglMulai = json['tgl_mulai'];
    tglSelesai = json['tgl_selesai'];
    namaPimpinan = json['nama_pimpinan'];
    tempat = json['tempat'];
    jenisKeanggotaan = json['jenis_keanggotaan'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['id'] = this.id;
    data['nip'] = this.nip;
    data['jenis_organisasi'] = this.jenisOrganisasi;
    data['nama_organisasi'] = this.namaOrganisasi;
    data['jabatan_organisasi'] = this.jabatanOrganisasi;
    data['tgl_mulai'] = this.tglMulai;
    data['tgl_selesai'] = this.tglSelesai;
    data['nama_pimpinan'] = this.namaPimpinan;
    data['tempat'] = this.tempat;
    data['jenis_keanggotaan'] = this.jenisKeanggotaan;
    return data;
  }
}
