class PakResponse {
  bool con;
  String msg;
  List<PakResults> results;

  PakResponse({this.con, this.msg, this.results});

  PakResponse.fromJson(Map<String, dynamic> json) {
    con = json['con'];
    msg = json['msg'];
    if (json['results'] != null) {
      results = <PakResults>[];
      json['results'].forEach((v) {
        results.add(new PakResults.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['con'] = this.con;
    data['msg'] = this.msg;
    if (this.results != null) {
      data['results'] = this.results.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class PakResults {
  int id;
  String nip;
  String tanggalAwal;
  String tanggalAkhir;
  String nilaiPendidikan;
  String nilaiPelatihan;
  String nilaiPrajab;
  String nilaiPelayanan;
  String nilaiPengembanganProfesi;
  String jumlahUnsurUtama;
  String nilaiPenunjang;
  String jumlahUnsurPenunjang;
  String penerbit;
  String keterangan;
  String dokumen;

  PakResults(
      {this.id,
      this.nip,
      this.tanggalAwal,
      this.tanggalAkhir,
      this.nilaiPendidikan,
      this.nilaiPelatihan,
      this.nilaiPrajab,
      this.nilaiPelayanan,
      this.nilaiPengembanganProfesi,
      this.jumlahUnsurUtama,
      this.nilaiPenunjang,
      this.jumlahUnsurPenunjang,
      this.penerbit,
      this.keterangan,
      this.dokumen});

  PakResults.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    nip = json['nip'];
    tanggalAwal = json['tanggal_awal'];
    tanggalAkhir = json['tanggal_akhir'];
    nilaiPendidikan = json['nilai_pendidikan'];
    nilaiPelatihan = json['nilai_pelatihan'];
    nilaiPrajab = json['nilai_prajab'];
    nilaiPelayanan = json['nilai_pelayanan'];
    nilaiPengembanganProfesi = json['nilai_pengembangan_profesi'];
    jumlahUnsurUtama = json['jumlah_unsur_utama'];
    nilaiPenunjang = json['nilai_penunjang'];
    jumlahUnsurPenunjang = json['jumlah_unsur_penunjang'];
    penerbit = json['penerbit'];
    keterangan = json['keterangan'];
    dokumen = json['dokumen'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['nip'] = this.nip;
    data['tanggal_awal'] = this.tanggalAwal;
    data['tanggal_akhir'] = this.tanggalAkhir;
    data['nilai_pendidikan'] = this.nilaiPendidikan;
    data['nilai_pelatihan'] = this.nilaiPelatihan;
    data['nilai_prajab'] = this.nilaiPrajab;
    data['nilai_pelayanan'] = this.nilaiPelayanan;
    data['nilai_pengembangan_profesi'] = this.nilaiPengembanganProfesi;
    data['jumlah_unsur_utama'] = this.jumlahUnsurUtama;
    data['nilai_penunjang'] = this.nilaiPenunjang;
    data['jumlah_unsur_penunjang'] = this.jumlahUnsurPenunjang;
    data['penerbit'] = this.penerbit;
    data['keterangan'] = this.keterangan;
    data['dokumen'] = this.dokumen;
    return data;
  }
}
