class PegawaiResponse {
  bool con;
  String msg;
  List<PegawaiResults> results;

  PegawaiResponse({this.con, this.msg, this.results});

  PegawaiResponse.fromJson(Map<String, dynamic> json) {
    con = json['con'];
    msg = json['msg'];
    if (json['results'] != null) {
      results = <PegawaiResults>[];
      json['results'].forEach((v) {
        results.add(PegawaiResults.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['con'] = this.con;
    data['msg'] = this.msg;
    if (this.results != null) {
      data['results'] = this.results.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class PegawaiResults {
  int pegawaiId;
  String idNipNrp;
  String namaLengkap;
  String gelarSarjanaDepan;
  String gelarSarjanaBelakang;
  String tempatLahir;
  String tanggalLahir;
  String jenisKelamin;
  String statusPerkawinan;
  String agama;
  String alamatTempatTinggal;
  String rtTempatTinggal;
  String rwTempatTinggal;
  String desaKelurahan;
  String kecamatan;
  String kabupatenKota;
  String provinsi;
  int kodePos;
  String noTelepon1;
  String noTelepon2;
  String golonganDarah;
  int statusKepegawaianId;
  int jenisKepegawaianId;
  String npwp;
  String nomorKtp;
  String notaPersetujuanBknNomorCpns;
  String notaPersetujuanBknTanggalCpns;
  String pejabatYangMenetapkanCpns;
  String skCpnsNomorCpns;
  String skCpnsTanggalCpns;
  int kodePangkatCpns;
  String tmtCpns;
  String pejabatYangMenetapkanPns;
  String skNomorPns;
  String skTanggalPns;
  String kodePangkatPns;
  String tmtPns;
  String sumpahJanjiPns;
  int tinggiKeteranganBadan;
  int beratBadanKeteranganBadan;
  String rambutKeteranganBadan;
  String bentukMukaKeteranganBadan;
  String warnaKulitKeteranganBadan;
  String ciriCiriKhasKeteranganBadan;
  String cacatTubuhKeteranganBadan;
  String kegemaran1;
  String kegemaran2;
  String kegemaran3;
  String photo;
  int statusAktifPegawai;
  int tipeUser;
  String kodeDokterMapingSimrs;

  PegawaiResults(
      {this.pegawaiId,
      this.idNipNrp,
      this.namaLengkap,
      this.gelarSarjanaDepan,
      this.gelarSarjanaBelakang,
      this.tempatLahir,
      this.tanggalLahir,
      this.jenisKelamin,
      this.statusPerkawinan,
      this.agama,
      this.alamatTempatTinggal,
      this.rtTempatTinggal,
      this.rwTempatTinggal,
      this.desaKelurahan,
      this.kecamatan,
      this.kabupatenKota,
      this.provinsi,
      this.kodePos,
      this.noTelepon1,
      this.noTelepon2,
      this.golonganDarah,
      this.statusKepegawaianId,
      this.jenisKepegawaianId,
      this.npwp,
      this.nomorKtp,
      this.notaPersetujuanBknNomorCpns,
      this.notaPersetujuanBknTanggalCpns,
      this.pejabatYangMenetapkanCpns,
      this.skCpnsNomorCpns,
      this.skCpnsTanggalCpns,
      this.kodePangkatCpns,
      this.tmtCpns,
      this.pejabatYangMenetapkanPns,
      this.skNomorPns,
      this.skTanggalPns,
      this.kodePangkatPns,
      this.tmtPns,
      this.sumpahJanjiPns,
      this.tinggiKeteranganBadan,
      this.beratBadanKeteranganBadan,
      this.rambutKeteranganBadan,
      this.bentukMukaKeteranganBadan,
      this.warnaKulitKeteranganBadan,
      this.ciriCiriKhasKeteranganBadan,
      this.cacatTubuhKeteranganBadan,
      this.kegemaran1,
      this.kegemaran2,
      this.kegemaran3,
      this.photo,
      this.statusAktifPegawai,
      this.tipeUser,
      this.kodeDokterMapingSimrs});

  PegawaiResults.fromJson(Map<String, dynamic> json) {
    pegawaiId = json['pegawai_id'];
    idNipNrp = json['id_nip_nrp'];
    namaLengkap = json['nama_lengkap'];
    gelarSarjanaDepan = json['gelar_sarjana_depan'];
    gelarSarjanaBelakang = json['gelar_sarjana_belakang'];
    tempatLahir = json['tempat_lahir'];
    tanggalLahir = json['tanggal_lahir'];
    jenisKelamin = json['jenis_kelamin'];
    statusPerkawinan = json['status_perkawinan'];
    agama = json['agama'];
    alamatTempatTinggal = json['alamat_tempat_tinggal'];
    rtTempatTinggal = json['rt_tempat_tinggal'];
    rwTempatTinggal = json['rw_tempat_tinggal'];
    desaKelurahan = json['desa_kelurahan'];
    kecamatan = json['kecamatan'];
    kabupatenKota = json['kabupaten_kota'];
    provinsi = json['provinsi'];
    kodePos = json['kode_pos'];
    noTelepon1 = json['no_telepon_1'];
    noTelepon2 = json['no_telepon_2'];
    golonganDarah = json['golongan_darah'];
    statusKepegawaianId = json['status_kepegawaian_id'];
    jenisKepegawaianId = json['jenis_kepegawaian_id'];
    npwp = json['npwp'];
    nomorKtp = json['nomor_ktp'];
    notaPersetujuanBknNomorCpns = json['nota_persetujuan_bkn_nomor_cpns'];
    notaPersetujuanBknTanggalCpns = json['nota_persetujuan_bkn_tanggal_cpns'];
    pejabatYangMenetapkanCpns = json['pejabat_yang_menetapkan_cpns'];
    skCpnsNomorCpns = json['sk_cpns_nomor_cpns'];
    skCpnsTanggalCpns = json['sk_cpns_tanggal_cpns'];
    kodePangkatCpns = json['kode_pangkat_cpns'];
    tmtCpns = json['tmt_cpns'];
    pejabatYangMenetapkanPns = json['pejabat_yang_menetapkan_pns'];
    skNomorPns = json['sk_nomor_pns'];
    skTanggalPns = json['sk_tanggal_pns'];
    kodePangkatPns = json['kode_pangkat_pns'];
    tmtPns = json['tmt_pns'];
    sumpahJanjiPns = json['sumpah_janji_pns'];
    tinggiKeteranganBadan = json['tinggi_keterangan_badan'];
    beratBadanKeteranganBadan = json['berat_badan_keterangan_badan'];
    rambutKeteranganBadan = json['rambut_keterangan_badan'];
    bentukMukaKeteranganBadan = json['bentuk_muka_keterangan_badan'];
    warnaKulitKeteranganBadan = json['warna_kulit_keterangan_badan'];
    ciriCiriKhasKeteranganBadan = json['ciri_ciri_khas_keterangan_badan'];
    cacatTubuhKeteranganBadan = json['cacat_tubuh_keterangan_badan'];
    kegemaran1 = json['kegemaran_1'];
    kegemaran2 = json['kegemaran_2'];
    kegemaran3 = json['kegemaran_3'];
    photo = json['photo'];
    statusAktifPegawai = json['status_aktif_pegawai'];
    tipeUser = json['tipe_user'];
    kodeDokterMapingSimrs = json['kode_dokter_maping_simrs'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['pegawai_id'] = this.pegawaiId;
    data['id_nip_nrp'] = this.idNipNrp;
    data['nama_lengkap'] = this.namaLengkap;
    data['gelar_sarjana_depan'] = this.gelarSarjanaDepan;
    data['gelar_sarjana_belakang'] = this.gelarSarjanaBelakang;
    data['tempat_lahir'] = this.tempatLahir;
    data['tanggal_lahir'] = this.tanggalLahir;
    data['jenis_kelamin'] = this.jenisKelamin;
    data['status_perkawinan'] = this.statusPerkawinan;
    data['agama'] = this.agama;
    data['alamat_tempat_tinggal'] = this.alamatTempatTinggal;
    data['rt_tempat_tinggal'] = this.rtTempatTinggal;
    data['rw_tempat_tinggal'] = this.rwTempatTinggal;
    data['desa_kelurahan'] = this.desaKelurahan;
    data['kecamatan'] = this.kecamatan;
    data['kabupaten_kota'] = this.kabupatenKota;
    data['provinsi'] = this.provinsi;
    data['kode_pos'] = this.kodePos;
    data['no_telepon_1'] = this.noTelepon1;
    data['no_telepon_2'] = this.noTelepon2;
    data['golongan_darah'] = this.golonganDarah;
    data['status_kepegawaian_id'] = this.statusKepegawaianId;
    data['jenis_kepegawaian_id'] = this.jenisKepegawaianId;
    data['npwp'] = this.npwp;
    data['nomor_ktp'] = this.nomorKtp;
    data['nota_persetujuan_bkn_nomor_cpns'] = this.notaPersetujuanBknNomorCpns;
    data['nota_persetujuan_bkn_tanggal_cpns'] =
        this.notaPersetujuanBknTanggalCpns;
    data['pejabat_yang_menetapkan_cpns'] = this.pejabatYangMenetapkanCpns;
    data['sk_cpns_nomor_cpns'] = this.skCpnsNomorCpns;
    data['sk_cpns_tanggal_cpns'] = this.skCpnsTanggalCpns;
    data['kode_pangkat_cpns'] = this.kodePangkatCpns;
    data['tmt_cpns'] = this.tmtCpns;
    data['pejabat_yang_menetapkan_pns'] = this.pejabatYangMenetapkanPns;
    data['sk_nomor_pns'] = this.skNomorPns;
    data['sk_tanggal_pns'] = this.skTanggalPns;
    data['kode_pangkat_pns'] = this.kodePangkatPns;
    data['tmt_pns'] = this.tmtPns;
    data['sumpah_janji_pns'] = this.sumpahJanjiPns;
    data['tinggi_keterangan_badan'] = this.tinggiKeteranganBadan;
    data['berat_badan_keterangan_badan'] = this.beratBadanKeteranganBadan;
    data['rambut_keterangan_badan'] = this.rambutKeteranganBadan;
    data['bentuk_muka_keterangan_badan'] = this.bentukMukaKeteranganBadan;
    data['warna_kulit_keterangan_badan'] = this.warnaKulitKeteranganBadan;
    data['ciri_ciri_khas_keterangan_badan'] = this.ciriCiriKhasKeteranganBadan;
    data['cacat_tubuh_keterangan_badan'] = this.cacatTubuhKeteranganBadan;
    data['kegemaran_1'] = this.kegemaran1;
    data['kegemaran_2'] = this.kegemaran2;
    data['kegemaran_3'] = this.kegemaran3;
    data['photo'] = this.photo;
    data['status_aktif_pegawai'] = this.statusAktifPegawai;
    data['tipe_user'] = this.tipeUser;
    data['kode_dokter_maping_simrs'] = this.kodeDokterMapingSimrs;
    return data;
  }
}
