class RiwayatCutiResponse {
  bool con;
  String msg;
  List<RiwayatCutiResults> results;

  RiwayatCutiResponse({this.con, this.msg, this.results});

  RiwayatCutiResponse.fromJson(Map<String, dynamic> json) {
    this.con = json["con"];
    this.msg = json["msg"];
    this.results = json["results"] == null
        ? []
        : (json["results"] as List)
            .map((e) => RiwayatCutiResults.fromJson(e))
            .toList();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["con"] = this.con;
    data["msg"] = this.msg;
    if (this.results != null)
      data["results"] = this.results.map((e) => e.toJson()).toList();
    return data;
  }
}

class RiwayatCutiResults {
  int id;
  String idNipNrp;
  String namaLengkap;
  String gelarSarjanaDepan;
  String gelarSarjanaBelakang;
  String namaJenisCuti;
  String unitKerja;
  String jabatan;
  String masaKerja;
  String alasanCuti;
  int lamaWaktuCuti;
  String lamaCutiSatuan;
  String tglMulaiCuti;
  String tglAkhirCuti;
  String catatanCuti;
  String alamatCuti;
  String noTlp;
  int pertimbanganAtasanDisetujui;
  String pertimbanganAtasanPerubahan;
  String pertimbanganAtasanDitangguhkan;
  String atasanLangsung;
  int keputusanPejabatDisetujui;
  String keputusanPejabatPerubahan;
  String keputusanPejabatDitangguhkan;
  String pejabatPemberiCuti;
  String nipNrpAtasan;
  String namaAtasan;
  String gelarDepanAtasan;
  String gelarBelakangAtasan;
  String nipNrpPejabat;
  String namaPejabat;
  String gelarDepanPejabat;
  String gelarBelakangPejabat;

  RiwayatCutiResults(
      {this.id,
      this.idNipNrp,
      this.namaLengkap,
      this.gelarSarjanaDepan,
      this.gelarSarjanaBelakang,
      this.namaJenisCuti,
      this.unitKerja,
      this.jabatan,
      this.masaKerja,
      this.alasanCuti,
      this.lamaWaktuCuti,
      this.lamaCutiSatuan,
      this.tglMulaiCuti,
      this.tglAkhirCuti,
      this.catatanCuti,
      this.alamatCuti,
      this.noTlp,
      this.pertimbanganAtasanDisetujui,
      this.pertimbanganAtasanPerubahan,
      this.pertimbanganAtasanDitangguhkan,
      this.atasanLangsung,
      this.keputusanPejabatDisetujui,
      this.keputusanPejabatPerubahan,
      this.keputusanPejabatDitangguhkan,
      this.pejabatPemberiCuti,
      this.nipNrpAtasan,
      this.namaAtasan,
      this.gelarDepanAtasan,
      this.gelarBelakangAtasan,
      this.nipNrpPejabat,
      this.namaPejabat,
      this.gelarDepanPejabat,
      this.gelarBelakangPejabat});

  RiwayatCutiResults.fromJson(Map<String, dynamic> json) {
    this.id = json["id"];
    this.idNipNrp = json["id_nip_nrp"];
    this.namaLengkap = json["nama_lengkap"];
    this.gelarSarjanaDepan = json["gelar_sarjana_depan"];
    this.gelarSarjanaBelakang = json["gelar_sarjana_belakang"];
    this.namaJenisCuti = json["nama_jenis_cuti"];
    this.unitKerja = json["unit_kerja"];
    this.jabatan = json["jabatan"];
    this.masaKerja = json["masa_kerja"];
    this.alasanCuti = json["alasan_cuti"];
    this.lamaWaktuCuti = json["lama_waktu_cuti"];
    this.lamaCutiSatuan = json["lama_cuti_satuan"];
    this.tglMulaiCuti = json["tgl_mulai_cuti"];
    this.tglAkhirCuti = json["tgl_akhir_cuti"];
    this.catatanCuti = json["catatan_cuti"];
    this.alamatCuti = json["alamat_cuti"];
    this.noTlp = json["no_tlp"];
    this.pertimbanganAtasanDisetujui = json["pertimbangan_atasan_disetujui"];
    this.pertimbanganAtasanPerubahan = json["pertimbangan_atasan_perubahan"];
    this.pertimbanganAtasanDitangguhkan =
        json["pertimbangan_atasan_ditangguhkan"];
    this.atasanLangsung = json["atasan_langsung"];
    this.keputusanPejabatDisetujui = json["keputusan_pejabat_disetujui"];
    this.keputusanPejabatPerubahan = json["keputusan_pejabat_perubahan"];
    this.keputusanPejabatDitangguhkan = json["keputusan_pejabat_ditangguhkan"];
    this.pejabatPemberiCuti = json["pejabat_pemberi_cuti"];
    this.nipNrpAtasan = json["nip_nrp_atasan"];
    this.namaAtasan = json["nama_atasan"];
    this.gelarDepanAtasan = json["gelar_depan_atasan"];
    this.gelarBelakangAtasan = json["gelar_belakang_atasan"];
    this.nipNrpPejabat = json["nip_nrp_pejabat"];
    this.namaPejabat = json["nama_pejabat"];
    this.gelarDepanPejabat = json["gelar_depan_pejabat"];
    this.gelarBelakangPejabat = json["gelar_belakang_pejabat"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data["id"] = this.id;
    data["id_nip_nrp"] = this.idNipNrp;
    data["nama_lengkap"] = this.namaLengkap;
    data["gelar_sarjana_depan"] = this.gelarSarjanaDepan;
    data["gelar_sarjana_belakang"] = this.gelarSarjanaBelakang;
    data["nama_jenis_cuti"] = this.namaJenisCuti;
    data["unit_kerja"] = this.unitKerja;
    data["jabatan"] = this.jabatan;
    data["masa_kerja"] = this.masaKerja;
    data["alasan_cuti"] = this.alasanCuti;
    data["lama_waktu_cuti"] = this.lamaWaktuCuti;
    data["lama_cuti_satuan"] = this.lamaCutiSatuan;
    data["tgl_mulai_cuti"] = this.tglMulaiCuti;
    data["tgl_akhir_cuti"] = this.tglAkhirCuti;
    data["catatan_cuti"] = this.catatanCuti;
    data["alamat_cuti"] = this.alamatCuti;
    data["no_tlp"] = this.noTlp;
    data["pertimbangan_atasan_disetujui"] = this.pertimbanganAtasanDisetujui;
    data["pertimbangan_atasan_perubahan"] = this.pertimbanganAtasanPerubahan;
    data["pertimbangan_atasan_ditangguhkan"] =
        this.pertimbanganAtasanDitangguhkan;
    data["atasan_langsung"] = this.atasanLangsung;
    data["keputusan_pejabat_disetujui"] = this.keputusanPejabatDisetujui;
    data["keputusan_pejabat_perubahan"] = this.keputusanPejabatPerubahan;
    data["keputusan_pejabat_ditangguhkan"] = this.keputusanPejabatDitangguhkan;
    data["pejabat_pemberi_cuti"] = this.pejabatPemberiCuti;
    data["nip_nrp_atasan"] = this.nipNrpAtasan;
    data["nama_atasan"] = this.namaAtasan;
    data["gelar_depan_atasan"] = this.gelarDepanAtasan;
    data["gelar_belakang_atasan"] = this.gelarBelakangAtasan;
    data["nip_nrp_pejabat"] = this.nipNrpPejabat;
    data["nama_pejabat"] = this.namaPejabat;
    data["gelar_depan_pejabat"] = this.gelarDepanPejabat;
    data["gelar_belakang_pejabat"] = this.gelarBelakangPejabat;
    return data;
  }
}
