class ScreeningResponse {
  bool con;
  String msg;
  ScreeningResults results;

  ScreeningResponse({this.con, this.msg, this.results});

  ScreeningResponse.fromJson(Map<String, dynamic> json) {
    con = json['con'];
    msg = json['msg'];
    results = json['results'] != null
        ? ScreeningResults.fromJson(json['results'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['con'] = this.con;
    data['msg'] = this.msg;
    if (this.results != null) {
      data['results'] = this.results.toJson();
    }
    return data;
  }
}

class ScreeningResults {
  String identitas;
  String name;
  String instructions;
  List<Questions> questions;

  ScreeningResults(
      {this.identitas, this.name, this.instructions, this.questions});

  ScreeningResults.fromJson(Map<String, dynamic> json) {
    identitas = json['identitas'];
    name = json['name'];
    instructions = json['instructions'];
    if (json['questions'] != null) {
      questions = <Questions>[];
      json['questions'].forEach((v) {
        questions.add(Questions.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['identitas'] = this.identitas;
    data['name'] = this.name;
    data['instructions'] = this.instructions;
    if (this.questions != null) {
      data['questions'] = this.questions.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Questions {
  String jenisPertanyaan;
  int code;
  String text;
  String desc;
  int kelayakan;
  List<Answers> answers;

  Questions(
      {this.jenisPertanyaan,
      this.code,
      this.text,
      this.desc,
      this.kelayakan,
      this.answers});

  Questions.fromJson(Map<String, dynamic> json) {
    jenisPertanyaan = json['jenis_pertanyaan'];
    code = json['code'];
    text = json['text'];
    desc = json['desc'];
    kelayakan = json['kelayakan'];
    if (json['answers'] != null) {
      answers = <Answers>[];
      json['answers'].forEach((v) {
        answers.add(Answers.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['jenis_pertanyaan'] = this.jenisPertanyaan;
    data['code'] = this.code;
    data['text'] = this.text;
    data['desc'] = this.desc;
    data['kelayakan'] = this.kelayakan;
    if (this.answers != null) {
      data['answers'] = this.answers.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Answers {
  String text;
  bool value;
  bool isAnswered;

  Answers({this.text, this.value, this.isAnswered});

  Answers.fromJson(Map<String, dynamic> json) {
    text = json['text'];
    value = json['value'];
    isAnswered = json['is_answered'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['text'] = this.text;
    data['value'] = this.value;
    data['is_answered'] = this.isAnswered;
    return data;
  }
}
