class SisaCutiResponse {
  bool con;
  String msg;
  List<SisaCuti> results;

  SisaCutiResponse({this.con, this.msg, this.results});

  SisaCutiResponse.fromJson(Map<String, dynamic> json) {
    con = json['con'];
    msg = json['msg'];
    if (json['results'] != null) {
      results = <SisaCuti>[];
      json['results'].forEach((v) {
        results.add(SisaCuti.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['con'] = this.con;
    data['msg'] = this.msg;
    if (this.results != null) {
      data['results'] = this.results.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class SisaCuti {
  int id;
  String idNipNrp;
  int tahun;
  int sisaCutiTahunan;

  SisaCuti({this.id, this.idNipNrp, this.tahun, this.sisaCutiTahunan});

  SisaCuti.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    idNipNrp = json['id_nip_nrp'];
    tahun = json['tahun'];
    sisaCutiTahunan = json['sisa_cuti_tahunan'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['id'] = this.id;
    data['id_nip_nrp'] = this.idNipNrp;
    data['tahun'] = this.tahun;
    data['sisa_cuti_tahunan'] = this.sisaCutiTahunan;
    return data;
  }
}
