import 'package:apimodule/model/response/screening_response.dart';

class VaksinasiResponse {
  bool con;
  String msg;
  VaksinasiResults results;

  VaksinasiResponse({this.con, this.msg, this.results});

  VaksinasiResponse.fromJson(Map<String, dynamic> json) {
    con = json['con'];
    msg = json['msg'];
    results = json['results'] != null
        ? VaksinasiResults.fromJson(json['results'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['con'] = this.con;
    data['msg'] = this.msg;
    if (this.results != null) {
      data['results'] = this.results.toJson();
    }
    return data;
  }
}

class VaksinasiResults {
  int idStatusCovid;
  String idNipNrp;
  bool pernahPositifCovid;
  bool pernahVaksin;
  ScreeningResults screening;
  List<Vaksinasi> vaksinasi;

  VaksinasiResults(
      {this.idStatusCovid,
      this.idNipNrp,
      this.pernahPositifCovid,
      this.pernahVaksin,
      this.screening,
      this.vaksinasi});

  VaksinasiResults.fromJson(Map<String, dynamic> json) {
    idStatusCovid = json['id_status_covid'];
    idNipNrp = json['id_nip_nrp'];
    pernahPositifCovid = json['pernah_positif_covid'];
    pernahVaksin = json['pernah_vaksin'];
    screening = json['screening'] != null
        ? new ScreeningResults.fromJson(json['screening'])
        : null;
    if (json['vaksinasi'] != null) {
      vaksinasi = <Vaksinasi>[];
      json['vaksinasi'].forEach((v) {
        vaksinasi.add(Vaksinasi.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['id_status_covid'] = this.idStatusCovid;
    data['id_nip_nrp'] = this.idNipNrp;
    data['pernah_positif_covid'] = this.pernahPositifCovid;
    data['pernah_vaksin'] = this.pernahVaksin;
    if (this.screening != null) {
      data['screening'] = this.screening.toJson();
    }
    if (this.vaksinasi != null) {
      data['vaksinasi'] = this.vaksinasi.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Vaksinasi {
  int idVaksinasi;
  int idStatusCovid;
  int vaksinKe;
  String tanggalDaftarVaksin;
  String tanggalVaksin;
  String alamatVaksin;
  String penyelenggaraan;

  Vaksinasi(
      {this.idVaksinasi,
      this.idStatusCovid,
      this.vaksinKe,
      this.tanggalDaftarVaksin,
      this.tanggalVaksin,
      this.alamatVaksin,
      this.penyelenggaraan});

  Vaksinasi.fromJson(Map<String, dynamic> json) {
    idVaksinasi = json['id_vaksinasi'];
    idStatusCovid = json['id_status_covid'];
    vaksinKe = json['vaksin_ke'];
    tanggalDaftarVaksin = json['tanggal_daftar_vaksin'];
    tanggalVaksin = json['tanggal_vaksin'];
    alamatVaksin = json['alamat_vaksin'];
    penyelenggaraan = json['penyelenggaraan'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['id_vaksinasi'] = this.idVaksinasi;
    data['id_status_covid'] = this.idStatusCovid;
    data['vaksin_ke'] = this.vaksinKe;
    data['tanggal_daftar_vaksin'] = this.tanggalDaftarVaksin;
    data['tanggal_vaksin'] = this.tanggalVaksin;
    data['alamat_vaksin'] = this.alamatVaksin;
    data['penyelenggaraan'] = this.penyelenggaraan;
    return data;
  }
}
